%define upstream_name    GDGraph
%define upstream_version 1.56

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Graph Plotting Module for Perl 5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/M/MV/MVERB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.300.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.760.0
BuildRequires: perl(FindBin)
BuildRequires: perl(GD) >= 1.180.0
BuildRequires: perl(GD::Text) >= 0.800.0
BuildRequires: perl(Test::Exception) >= 0.400.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl-GDTextUtil >= 0.83
BuildRequires: pkgconfig(gdlib)
BuildArch:  noarch

Provides:   perl-GD-Graph
Obsoletes:  perl-GD-Graph

%description
This is GDGraph, a package to generate charts, using Lincoln
Stein's GD.pm. See the documentation for some history and more
information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# perl path hack
#find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make_build

%install
%make_install

%check
make test

%files
%doc CHANGES META.json META.yml MYMETA.yml README samples
%{perl_vendorlib}/GD/*
%{_mandir}/*/*

%changelog
* Sat Feb 04 2023 tv <tv> 1.560.0-1.mga9
+ Revision: 1938089
- update to 1.56

* Fri Apr 01 2022 tv <tv> 1.540.0-4.mga9
+ Revision: 1839326
- Fix logo_xbm_noext test (GH#1)
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.540.0-3.mga8
+ Revision: 1504552
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.540.0-2.mga7
+ Revision: 1283924
- Mageia 7 Mass Rebuild

* Sun Jul 30 2017 sander85 <sander85> 1.540.0-1.mga7
+ Revision: 1132752
- update to 1.54

* Sun Jun 19 2016 pterjan <pterjan> 1.520.0-2.mga6
+ Revision: 1027677
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.520.0-1.mga6
+ Revision: 1001979
- update to 1.52

* Thu Feb 18 2016 umeabot <umeabot> 1.490.0-2.mga6
+ Revision: 967370
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 1.490.0-1.mga6
+ Revision: 848781
- update to 1.49

* Wed Oct 15 2014 umeabot <umeabot> 1.480.0-4.mga5
+ Revision: 742796
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.480.0-3.mga5
+ Revision: 684814
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 sander85 <sander85> 1.480.0-1.mga4
+ Revision: 463390
- update to 1.48

* Wed Jun 26 2013 jquelin <jquelin> 1.450.0-1.mga4
+ Revision: 446959
- update to 1.45

* Sun Jan 13 2013 umeabot <umeabot> 1.440.0-2.mga3
+ Revision: 367542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 jquelin <jquelin> 1.440.0-1.mga1
+ Revision: 42021
- mageia rebuild
- imported package perl-GDGraph

